#include <bits/stdc++.h>
using namespace std;
int main ()
{
    int n;
    cin>>n;
    int a[n], ans[n];
    bool nam;
    for(int x=0; x<n; x++)
    {
        cin>>a[x];
        nam=false;
        for(int i=1; i<a[x]/2 && nam==false; i++)
        {
            for(int j=1; j<a[x] && nam==false; j++)
            {
                if(a[x]==i*i+j*j)
                {
                    ans[x]=1;
                    nam=true;
                }

            }
        }
        if(!nam) ans[x]=0;
    }
    for(int i=0; i<n; i++)  cout<<ans[i];
    return 0;
}
